import { Combobox as FASTComboBox } from '@microsoft/fast-components';
import { ComboboxAutocomplete } from '@microsoft/fast-foundation';
import type { ComboboxOptions } from '@microsoft/fast-foundation';
/**
 * @tagname %%prefix%%-combobox
 */
export declare class Combobox extends FASTComboBox {
    #private;
    private _ourValue;
    private needManualChangeEventDispatch;
    get activeDescendant(): string;
    autocomplete: ComboboxAutocomplete;
    slottedDatasource: HTMLSlotElement;
    async: boolean;
    debounce: number;
    debounceChanged(oldValue: any, newValue: number): void;
    debouncedInputHandler: any;
    /** Controls whether to perform a case-sensitive search in the list of options */
    caseSensitive: boolean;
    /** Controls whether to suppress opening the dropdown when the input field is clicked */
    ignoreInputClick: boolean;
    /**
     * Controls whether the combobox should always scroll to the selected option when the dropdown is opened
     * @experimental
     */
    scrollToSelectedWhenOpening: boolean;
    /**
     * Options for scrolling to the selected option when the dropdown is opened
     * @experimental
     */
    scrollToSelectedWhenOpeningOptions: boolean | ScrollIntoViewOptions;
    /**
     * Controls whether the combobox should scroll to the selected option when the selection changes
     * @experimental
     */
    scrollWhenSelectionChanges: boolean;
    /**
     * Options for scrolling to the selected option when the selection changes
     * @experimental
     */
    scrollWhenSelectionChangesOptions: boolean | ScrollIntoViewOptions;
    openChanged(): void;
    get value(): string;
    set value(next: string);
    slottedOptionsChanged(prev: Element[] | undefined, next: Element[]): void;
    filterOptions(): void;
    clickHandler(e: MouseEvent): boolean | void;
    keydownHandler(e: KeyboardEvent): boolean | void;
    keyupHandler(e: KeyboardEvent): boolean | void;
    /**
     * Gets the HTML element for the indicator button
     *
     * @protected
     */
    protected get indicator(): Element;
    /**
     * Selects an item in the dropdown based on its text value
     *
     * @param value - The text value of the item to be selected
     * @protected
     */
    protected selectItemByValue(value: string): void;
    inputHandler(e: InputEvent): boolean | void;
    asyncSetFilter(): void;
    resetCombobox: () => void;
    private manuallyDispatchChangeEvent;
}
export declare const foundationComboboxShadowOptions: ShadowRootInit;
export declare const defaultComboboxConfig: {
    indicator: string;
};
/**
 * The Foundation Combo-box
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-combo-box\>
 */
export declare const foundationCombobox: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<ComboboxOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<ComboboxOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
//# sourceMappingURL=combobox.d.ts.map