import { css } from '@microsoft/fast-element';
export const foundationDialogStyles = css `
  :host {
    --dialog-close-icon-display: flex;
    --dialog-min-width: 358px;
    --notification-details-min-height: 40px;
  }

  dialog[type='error'],
  dialog[type='success'] {
    padding: calc(var(--design-unit) * 2px) calc(var(--design-unit) * 4px)
      calc(var(--design-unit) * 2px) calc(var(--design-unit) * 6px);
  }

  dialog[type='error']::before,
  dialog[type='success']::before {
    content: '';
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: calc(var(--design-unit) * 3px - 2px);
    height: calc(100% - (var(--design-unit) * 4px));
    width: 4px;
    border-radius: 2px;
  }

  dialog[type='error']::before {
    background-color: var(--error-color);
  }

  dialog[type='success']::before {
    background-color: var(--success-color);
  }

  .close-icon {
    display: var(--dialog-close-icon-display);
  }

  dialog {
    background-color: var(--dialog-background, var(--fill-color));
    padding: calc(var(--design-unit) * 2px) calc(var(--design-unit) * 4px)
      calc(var(--design-unit) * 4px);
    outline: none;
    overflow: inherit;
  }

  :host([position='right']) dialog .content-wrapper,
  :host([position='left']) dialog .content-wrapper,
  :host([position='left']) dialog,
  :host([position='right']) dialog {
    height: 100%;
  }

  :host([position='left']) dialog {
    margin-left: 0;
  }

  :host([position='right']) dialog {
    margin-right: 0;
  }

  ::slotted(zero-divider) {
    width: 100%;
  }

  .title {
    margin-top: calc(var(--design-unit) * 2px);
    font-size: 14px;
  }

  .details {
    font-size: 12px;
    overflow: hidden;
    min-height: var(--notification-details-min-height);
  }
`;
