import { html, ref, when } from '@microsoft/fast-element';
import { classNames } from '@microsoft/fast-web-utilities';
import { getPrefix } from '../utils';
export const getPrefixedIcon = (prefix) => html `
  <template>
    <i
      ${ref('iElement')}
      id="${(x) => x.tooltipId}"
      class=${(x) => `fa-${x.name} fa-${x.size} fa-${x.variant} ${classNames(['error-tooltip', !!(x.isError && x.tooltip)], ['tooltip-icon', !!(!x.isError && x.tooltip)])}`}
      part=${(x) => `icon-${x.name}-${x.size}-${x.variant}`}
    >
      <slot></slot>
    </i>
    ${when((x) => x.tooltip, html `
        <${prefix}-tooltip part="tooltip" class="tooltip-element" show anchor="${(x) => x.tooltipId}">
          ${(x) => html `
            ${x.tooltip}
          `}
        </${prefix}-tooltip>
      `)}
  </template>
`;
export const foundationIconTemplate = html `
  ${(x) => getPrefixedIcon(getPrefix(x))}
`;
